v.proj(1)

NAME
v.proj - Re-projects a vector map from one location to the current location.

KEYWORDS
vector, projection, transformation

SYNOPSIS
v.proj
v.proj --help
v.proj [-lzw] [input=name] location=name [mapset=name] [dbase=path] [smax=float] [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-l
    List vector maps in input mapset and exit

-z
    Assume z coordinate is ellipsoidal height and transform if possible
    3D vector maps only

-w
    Disable wrapping to -180,180 for latlon output
    Latlon output only, default is -180,180

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name
    Name of input vector map to re-project

location=name [required]
    Location containing input vector map

mapset=name
    Mapset containing input vector map
    Default: name of current mapset

dbase=path
    Path to GRASS database of input location
    Default: path to the current GRASS database

smax=float
    Maximum segment length in meters in output vector map
    Increases accuracy of reprojected shapes, disable with smax=0
    Default: 10000

output=name
    Name for output vector map (default: input)

DESCRIPTION
v.proj allows a user to convert a vector map in a specified mapset of a specified location (different from current) with projection of input location to the vector map in a current mapset of current location with projection of current location (both projections are defined by corresponding PROJ_INFO files). The projection information is taken from the current PROJ_INFO files, as set and viewed with g.proj.

NOTES
If output is not specified it is set to be the same as input map name.
If mapset is not specified, its name is assumed to be the same as the current mapset’s name.
If dbase is not specified it is assumed to be the current database. The user only has to specify dbase if the source location is stored in another separate GRASS database.

v.proj supports general datum transformations, making use of the PROJ.4 co-ordinate system translation library.

When projecting into a latlon location, east coordinates are wrapped by the proj4 library to fit into the range -180,180. This is in most cases appropriate, but can cause errors the input vector crosses the datum line at 180E/W. In this case wrapping of east coordinates to -180,180 needs to be disabled with the -w flag.

In order to preserve spatial detail, it is recommended to densify linear features with v.split before reprojecting. Depending on the source and target CRS (Coordinate Reference System), geometries can be substantially deformed (straight lines become curves, squares become trapezoids, etc). In these cases densification of linear features can help to avoid topological errors.

EXAMPLES

v.proj in=mymap location=latlong mapset=user1

REFERENCES
PROJ 4: Projection/datum support library.

Further reading

    •   ASPRS Grids and Datum

    •   MapRef - The Collection of Map Projections and Reference Systems for Europe

    •   Projections Transform List (PROJ4)

SEE ALSO
r.proj, g.proj, i.rectify, r.stats, v.sample, v.split, v.surf.idw, v.surf.rst

AUTHORS
Irina Kosinovsky, US ARMY CERL
M.L. Holko, USDA, SCS, NHQ-CGIS
R.L. Glenn, USDA, SCS, NHQ-CGIS

Last changed: $Date: 2014-01-13 10:20:50 +0100 (po, 13 I 2014) $

Main index | Vector index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.0 Reference Manual